Bug 250409 - devel/luafilesystem: update to 1.8.0
Summary: devel/luafilesystem: update to 1.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kyle Evans
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-10-16 21:44 UTC by Kyle Evans
Modified: 2020-11-24 01:06 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (fiziologus)


Attachments
svn(1) diff against the ports tree (3.66 KB, patch)
2020-10-16 21:44 UTC, Kyle Evans
kevans: maintainer-approval? (fiziologus)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2020-10-16 21:44:29 UTC
Created attachment 218817 [details]
svn(1) diff against the ports tree

The highlights are Lua 5.4 supported and a fixed memory leak in case of realloc failure.

Builds fine without the Makefile patch (some of it has been incorporated), config patch has been adjusted.
Comment 1 Automation User 2020-10-31 01:07:05 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/209961328
Comment 2 commit-hook freebsd_committer 2020-11-24 01:02:36 UTC
A commit references this bug:

Author: kevans
Date: Tue Nov 24 01:01:59 UTC 2020
New revision: 556141
URL: https://svnweb.freebsd.org/changeset/ports/556141

Log:
  devel/luafilesystem: update to 1.8.0

  The highlights are that Lua 5.4 is now supported and memory leak due to
  a potential realloc failure was fixed.

  Builds fine without the Makefile patch (some of it has been incorporated),
  config patch has been adjusted.

  PR:		250409
  Approved by:	fiziologus@gmail.com (maintainer timeout, ~4 weeks)
  MFC after:	1 week

Changes:
  head/devel/luafilesystem/Makefile
  head/devel/luafilesystem/distinfo
  head/devel/luafilesystem/files/patch-Makefile
  head/devel/luafilesystem/files/patch-config